# LayoutCriteria (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.define

## Class LayoutCriteria

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.define.LayoutCriteria

- All Implemented Interfaces:
    ILayout

      public class LayoutCriteria
      extends java.lang.Object
      implements ILayout

  This layout manages views for criteria and the population model

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayoutCriteria(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateButtons()` May be triggered by several views and events

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutCriteria

          public LayoutCriteria(org.eclipse.swt.widgets.Composite parent,
                        Controller controller)

      Creates a new instance.
      Parameters:
        `parent` -
        `controller` -

  - ### Method Detail

    - #### updateButtons

          public void updateButtons()

      May be triggered by several views and events